=head1 NAME

Gnome2::GConf::main -  utility functions for Gnome2::GConf

=cut

=for object Gnome2::GConf::main utility functions for Gnome2::GConf
=cut




=head1 METHODS

=head2 string = Gnome2::GConf-E<gt>B<concat_dir_and_key> ($dir, $key)

=over

=item * $dir (string) 

=item * $key (string) 

=back

Returns a concatenation of $dir and $key.

=head2 boolean = Gnome2::GConf-E<gt>B<key_is_below> ($above, $below)

=over

=item * $above (string) 

=item * $below (string) 

=back

Return TRUE if the path $below would be somewhere below the directory $above.

=head2 string = Gnome2::GConf-E<gt>B<unique_key> 

Returns a different string every time (at least, the chances of getting a
duplicate are like one in a zillion). The key is a legal gconf key name (a
single element of one).

=head2 boolean = Gnome2::GConf->B<valid_key> ($key)

=head2 (boolean, string) = Gnome2::GConf->B<valid_key> ($key)

=over

=item * $key (string) 

=back


In scalar context, it returns a boolean value.
In array context, it returns a boolean value and a string containing a
user-readable explanation of the problem.



=cut


=head1 SEE ALSO

L<Gnome2::GConf>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2006 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gnome2::GConf> for a full
notice.



=cut

